Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCBindingContainerReference

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef
oracle.adf.model.binding.DCBindingContainerReference`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.adf.model.binding.DCIExecutableDef

public class DCBindingContainerReference
extends DCExecutableBindingDef
implements java.lang.Cloneable, oracle.adf.model.binding.DCIExecutableDef

Field Summary
`static int` | `EXECUTABLE_ACTION`
`static int` | `EXECUTABLE_ITERATORBINDING`
`static int` | `EXECUTABLE_REGION`

Fields inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`PNAME_option, PNAME_option_ALWAYS, PNAME_option_DEFAULT, PNAME_option_DEFER, PNAME_option_NEVER, PNAME_option_PREPARE, PNAME_option_PREPARE_OPT, PNAME_option_REFRESH, PNAME_option_REFRESH_OPT, PNAME_option_RENDER, PNAME_option_RENDER_OPT, PNAME_optionExpr, RC_ALWAYS, RC_DEFAULT, RC_DEFER, RC_NEVER, RC_PREPARE, RC_PREPARE_OPT, RC_REFRESH, RC_REFRESH_OPT, RC_RENDER, RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mObjName, mParent, mProperties`

Constructor Summary
`DCBindingContainerReference(oracle.adf.model.BindingContext ctx, java.lang.String name, java.lang.String fullName)`
`DCBindingContainerReference(java.lang.String name, java.lang.String fullName)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `createExecutableBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer ctr)` Internal: Applications should not use this method.
`java.lang.Object` | `get(java.lang.Object key)`
`DCBindingContainer` | `getBindingContainer()`
`int` | `getExecutableType()` Internal: Applications should not use this method.
`java.lang.String` | `getFullName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRefreshExpression()`
`int` | `getRefreshOption()`
`boolean` | `isRefreshable(DCBindingContainer ctr, DCIExecutable exec, int refreshFlag)` Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
`void` | `setBindingContext(oracle.adf.model.BindingContext ctx)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`getPermissionClassName, getPermissionTargetName, getXMLElementTag, init, internalGetRefreshOptionFromString, internalHasPermission, retrieveFromXML`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadChildrenFromXML, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXECUTABLE_REGION

    public static final int EXECUTABLE_REGION

  See Also:
    Constant Field Values

### EXECUTABLE_ITERATORBINDING

    public static final int EXECUTABLE_ITERATORBINDING

  See Also:
    Constant Field Values

### EXECUTABLE_ACTION

    public static final int EXECUTABLE_ACTION

  See Also:
    Constant Field Values

Constructor Detail

### DCBindingContainerReference

    public DCBindingContainerReference(oracle.adf.model.BindingContext ctx,
                                       java.lang.String name,
                                       java.lang.String fullName)

### DCBindingContainerReference

    public DCBindingContainerReference(java.lang.String name,
                                       java.lang.String fullName)

Method Detail

### setBindingContext

    public void setBindingContext(oracle.adf.model.BindingContext ctx)

### getBindingContainer

    public DCBindingContainer getBindingContainer()

### get

    public java.lang.Object get(java.lang.Object key)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `oracle.adf.model.binding.DCIExecutableDef`

### getFullName

    public java.lang.String getFullName()

### toString

    public java.lang.String toString()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### createExecutableBinding

    public java.lang.Object createExecutableBinding(oracle.adf.model.BindingContext ctx,
                                                    DCBindingContainer ctr)

  Internal: Applications should not use this method.
  Specified by:
    `createExecutableBinding` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Specified by:
    `createExecutableBinding` in class `DCExecutableBindingDef`

### getExecutableType

    public int getExecutableType()

  Internal: Applications should not use this method.
  Specified by:
    `getExecutableType` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Specified by:
    `getExecutableType` in class `DCExecutableBindingDef`

### isRefreshable

    public boolean isRefreshable(DCBindingContainer ctr,
                                 DCIExecutable exec,
                                 int refreshFlag)

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Calculate whether the given executable instance is to be refreshed based on the refreshFlag which is the flag sent into BindingContainer.refresh() Return true if this executable has to be refreshed.
  Specified by:
    `isRefreshable` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Overrides:
    `isRefreshable` in class `DCExecutableBindingDef`

### getRefreshOption

    public int getRefreshOption()

### getRefreshExpression

    public java.lang.String getRefreshExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.